net.i2p.router.transport.udp

## Interface SSU2Sender

- All Known Implementing Classes:
    PeerState2, PeerStateDestroyed

      interface SSU2Sender

  Basic interface over top of PeerState2 and PeerStateDestroyed, so we can pass them both to PacketBuilder2 to send packets.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fragmentsSent(long pktNum, int length, List<PacketBuilder.Fragment> fragments)`
    `SSU2Bitfield` | `getAckedMessages()`
    `byte` | `getFlags()`
    `int` | `getMTU()`
    `long` | `getNextPacketNumber()`
    `SSU2Bitfield` | `getReceivedMessages()`
    `RemoteHostId` | `getRemoteHostId()`
    `InetAddress` | `getRemoteIPAddress()`
    `int` | `getRemotePort()`
    `CipherState` | `getSendCipher()`
    `long` | `getSendConnID()`
    `byte[]` | `getSendHeaderEncryptKey1()`
    `byte[]` | `getSendHeaderEncryptKey2()`
    `boolean` | `isIPv6()`
    `void` | `setDestroyReason(int reason)`

- - ### Method Detail

    - #### fragmentsSent

          void fragmentsSent(long pktNum,
                             int length,
                             List<PacketBuilder.Fragment> fragments)

    - #### getAckedMessages

          SSU2Bitfield getAckedMessages()

    - #### getFlags

          byte getFlags()

    - #### getMTU

          int getMTU()

    - #### getNextPacketNumber

          long getNextPacketNumber()
                            throws IOException

      Throws:
        `IOException`

    - #### getReceivedMessages

          SSU2Bitfield getReceivedMessages()

    - #### getRemoteHostId

          RemoteHostId getRemoteHostId()

    - #### getRemoteIPAddress

          InetAddress getRemoteIPAddress()

    - #### getRemotePort

          int getRemotePort()

    - #### getSendCipher

          CipherState getSendCipher()

    - #### getSendConnID

          long getSendConnID()

    - #### getSendHeaderEncryptKey1

          byte[] getSendHeaderEncryptKey1()

    - #### getSendHeaderEncryptKey2

          byte[] getSendHeaderEncryptKey2()

    - #### isIPv6

          boolean isIPv6()

    - #### setDestroyReason

          void setDestroyReason(int reason)